<!DOCTYPE html>
<html lang="fr">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>

<body>
    <div>
        <p>QRCode</p>
        <input type="text" name="QRCode" id="qrcode">
        <ul id="deliverablesList">

        </ul>
    </div>
    <div>
        <button onclick="openBox()">Open Box</button>
    </div>
    <script>
        if (self.fetch) {
            fetch(document.URL + 'api/v1/deliverables')
                .then(function (response) {
                    if (response.status !== 200) {
                        console.log('Looks like there was a problem. Status Code: ' +
                            response.status);
                        return;
                    }

                    // Examine the text in the response
                    response.json().then(function (data) {
                        var root = document.getElementById('deliverablesList');
                        var list = "";
                        data.forEach(element => {
                            list += "<li>ID : " + element.id + " , Nom : " + element.name +
                                " <a href='" + document.URL + "api/v1/deliverables/" + element.id +
                                "/qrcode'>QR Code</a> <button onclick='readQRCode(\"" + element.id + "\")'>Read QRCode</button></li>";
                        });
                        root.innerHTML = list;
                    });
                })
            // .then(function(myBlob) {
            //     var objectURL = URL.createObjectURL(myBlob);
            //     myImage.src = objectURL;
            // });
        } else {
            // Faire quelque chose avec XMLHttpRequest?
        }

        function openBox() {
            var myInit = { method: 'POST'}
            fetch(document.URL + 'api/v1/boxes/openBox',myInit);
        }

        function readQRCode(id){
            console.log(id);
            val = document.getElementById('qrcode').value;
            var myInit = { method: 'POST'}
            fetch(document.URL + 'api/v1/deliverables/'+id+'/readQRCode/'+val,myInit);
        }
    </script>
</body>

</html>